## qtm 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(QTM)
 
-set( QTM_VERSION 1.1.1 )
+set( QTM_VERSION 1.3.1 )
 
 IF(APPLE)
     set( PROGNAME QTM )
@@ -16,14 +16,6 @@
 ENDIF(APPLE)
 
 find_package (Qt4 REQUIRED)
-
-if( QT_VERSION_MINOR ) # this requires CMake 2.6
-  if( QT_VERSION_MINOR LESS 2 )
-    set( DONT_USE_STI TRUE )
-    set( USE_DBUS FALSE )
-    set( USE_STI FALSE )
-  endif( QT_VERSION_MINOR LESS 2 )
-endif( QT_VERSION_MINOR )
 
 if( DONT_USE_DBUS OR WIN32 ) # Because you don't get D-Bus on Windows
   if( NOT USE_DBUS )         # But let's let the user specify it, in case someone ports it  
@@ -171,17 +163,12 @@
   cmake_minimum_required(VERSION 2.4.0)
 endif( USE_DBUS )
 
-if( USE_SAFEHTTP )
-  set( SAFEHTTP_CC SafeHttp.cc )
-  set( SAFEHTTP_H  SafeHttp.h )
-  add_definitions( -DUSE_SAFEHTTP )
-endif( USE_SAFEHTTP )
-
 set(QTM_SRCS
     AccountsDialog.cc
     Application.cc
     EditingWindow.cc
     EditingWindow_ResponseHandlers.cc
+    Highlighter.cc
     locationlineedit.cc
     main.cc
     PrefsDialog.cc
@@ -199,6 +186,7 @@
     AccountsDialog.h
     Application.h
     EditingWindow.h
+    Highlighter.h
     locationlineedit.h
     PrefsDialog.h
     QijSearchWidget.h
@@ -216,7 +204,6 @@
     EditingWindowBase.ui
     NewCategoryForm.ui
     PrefsForm.ui
-    PrefsForm41.ui
     ImageEntry.ui
     LinkEntry.ui
     password-form.ui
@@ -227,6 +214,7 @@
 
 set(QTM_RCS
     qtm.qrc
+    EditingWindow.qrc
     QijSearchWidget.qrc
 )
