=== debian/changelog ===
qtm (1.3.1-3) unstable; urgency=low

  * Added Vcs-{Git,Browser} to debian/control
  * Added debian/build_qtm.sh script for building from Git clone of Vcs-
    Git repository
  * Added debian/README.source

 -- Patryk Cisek <patryk@debian.org>  Mon, 21 Feb 2011 10:28:58 +0100

qtm (1.3.1-2) unstable; urgency=low

  * Changed Section from x11 to web
  * Added debian/watch

 -- Patryk Cisek <patryk@debian.org>  Wed, 16 Feb 2011 12:27:32 +0100

qtm (1.3.1-1) unstable; urgency=low

  * New upstream release
  * Bupmed Standards-Version

 -- Patryk Cisek <patryk@debian.org>  Tue, 15 Feb 2011 14:42:23 +0100

qtm (1.1.1-1) unstable; urgency=low

  * Initial release (Closes: #440649)

 -- Patryk Cisek <patryk@debian.org>  Fri, 03 Jul 2009 15:07:56 +0200
