=== debian/control ===
Source: qtm
Section: web
Priority: extra
Maintainer: Patryk Cisek <patryk@debian.org>
Vcs-Git: git://git.debian.org/users/patryk/qtm.git
Vcs-Browser: http://git.debian.org/?p=users/patryk/qtm.git
Build-Depends: debhelper (>= 7), cmake, libqt4-dev
Standards-Version: 3.9.1
Homepage: http://qtm.blogistan.co.uk

Package: qtm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Web-log interface program
 QTM is a desktop application for interacting with blogging and other content
 management systems. It is presently compatible with Wordpress, Movable Type,
 Drupal and Textpattern (but not with Blogger).
