## qtm 1.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(QTM)
 
-set( QTM_VERSION 1.3.1 )
+set( QTM_VERSION 1.3.4 )
 
 IF(APPLE)
     set( PROGNAME QTM )
@@ -78,6 +78,10 @@
     set( DESKTOP_ENTRY qtm.desktop )
   endif( NOT DESKTOP_ENTRY )
 
+  if( UNITY_LAUNCHER )
+    set( UNITY_ARG --unity )
+  endif( UNITY_LAUNCHER )
+
   if( DESKTOP_ENTRY_SUSE )
     set( QTM_DESKTOP_SH qtm-desktop-suse.sh )
   else( DESKTOP_ENTRY_SUSE )
@@ -86,7 +90,7 @@
 
   add_custom_command( OUTPUT ${DESKTOP_ENTRY}
     COMMAND touch ${QTM_BINARY_DIR}/${DESKTOP_ENTRY}
-    COMMAND sh ${QTM_SOURCE_DIR}/${QTM_DESKTOP_SH} ${CMAKE_INSTALL_PREFIX} >${QTM_BINARY_DIR}/${DESKTOP_ENTRY}
+    COMMAND sh ${QTM_SOURCE_DIR}/${QTM_DESKTOP_SH} ${CMAKE_INSTALL_PREFIX} ${UNITY_ARG} >${QTM_BINARY_DIR}/${DESKTOP_ENTRY}
     DEPENDS ${QTM_DESKTOP_SH}
     COMMENT "Generating desktop entry file"
     )
@@ -298,6 +302,11 @@
   install(FILES ${QTM_BINARY_DIR}/${DESKTOP_ENTRY} DESTINATION ${DESKTOP_ENTRY_PATH})
   install( FILES ${APP_ICON} DESTINATION share/icons )
   install( FILES ${QTM_BINARY_DIR}/qtm.1.gz DESTINATION ${MANPAGE_DIRECTORY} )
+  if( UNITY_LAUNCHER )
+    install( FILES ${QTM_SOURCE_DIR}/qtm-new.py DESTINATION bin RENAME qtm-new )
+    install( FILES ${QTM_SOURCE_DIR}/qtm-choose.py DESTINATION bin RENAME qtm-choose )
+    install( FILES ${QTM_SOURCE_DIR}/qtm-quickpost.py DESTINATION bin RENAME qtm-quickpost )
+  endif( UNITY_LAUNCHER )
   if( INSTALL_MARKDOWN )
     install( FILES ${QTM_SOURCE_DIR}/Markdown/Markdown.pl DESTINATION share/qtm )
   endif( INSTALL_MARKDOWN )
