=== debian/changelog ===
qtm (1.3.4-1) unstable; urgency=low

  * New upstream release
  * Added build-arch and build-indep targets to debian/rules
  * Bumped Standards-Version

 -- Patryk Cisek <patryk@debian.org>  Sun, 16 Oct 2011 15:44:27 +0200

qtm (1.3.1-4) unstable; urgency=low

  * README.source in only useful when hacking QTM packaging, so no need
    to install it into /usr/share/doc/qtm. Thus, removing it from
    debian/install

 -- Patryk Cisek <patryk@debian.org>  Mon, 21 Feb 2011 11:16:42 +0100
