## qtm 1.3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(QTM)
 
-set( QTM_VERSION 1.3.4 )
+set( QTM_VERSION 1.3.6 )
 
 IF(APPLE)
     set( PROGNAME QTM )
@@ -11,6 +11,7 @@
     IF( MAC_UNIVERSAL )
         set( CMAKE_OSX_ARCHITECTURES ppc;i386 ) #Comment out if not universal binary
     ENDIF( MAC_UNIVERSAL )
+#find_library( COCOA_LIBRARY Cocoa )
 ELSE(NOT APPLE)
     set( PROGNAME qtm )
 ENDIF(APPLE)
@@ -54,7 +55,13 @@
   if( APPLE )
     set( SUPERMENU_CC SuperMenu.cc )
     set( SUPERMENU_H SuperMenu.h )
+#set( STATUSWIDGET_CC StatusWidget.cc )
+# set( STATUSWIDGET_H StatusWidget.h )
+# set( STATUSWIDGETBASE_UI StatusWidgetBase.ui )
+#set( MACFUNCTIONS_MM macFunctions.mm )
+#set( MACFUNCTIONS_H macFunctions.h )
     add_definitions( -DSUPERMENU )
+#add_definitions( "-x objective-c++" )
   endif( APPLE )
 endif( USE_STI )
 
@@ -180,7 +187,9 @@
     ${QUICKPOSTTEMPLATE_CC}
     ${QUICKPOSTTEMPLATEDIALOG_CC}
     ${SAFEHTTP_CC}
+#${MACFUNCTIONS_MM}
     ${SUPERMENU_CC}
+# ${STATUSWIDGET_CC}
     ${SYSTRAYICON_CC}
     ${DBUSADAPTOR_CC}
     XmlRpcHandler.cc
@@ -198,6 +207,7 @@
     ${QUICKPOSTTEMPLATEDIALOG_H}
     ${SAFEHTTP_H}
     ${SUPERMENU_H}
+#${STATUSWIDGET_H}
     ${SYSTRAYICON_H}
     ${DBUSADAPTOR_H}
 )
@@ -214,6 +224,7 @@
     QijSearchWidget.ui
     ${QUICKPOSTTEMPLATEFORM_UI}
     SideWidget.ui
+    ${STATUSWIDGETBASE_UI}
 )
 
 set(QTM_RCS
