=== debian/changelog ===
qtm (1.3.6-1) unstable; urgency=low

  * New upstream release

 -- Patryk Cisek <patryk@debian.org>  Thu, 02 Feb 2012 21:55:54 +0100
