=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,19 @@
 	cd builddir && cmake .. -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_LD_FLAGS="-Wl,-z,defs" -DCMAKE_CXX_FLAGS="$(CXXFLAGS)" -DCMAKE_SKIP_RPATH=ON -DCMAKE_VERBOSE_MAKEFILE=ON
 
 
-build: build-stamp
+build: build-arch build-indep
 
-build-stamp:  builddir/Makefile 
+build-arch: build-arch-stamp
+
+build-indep: build-indep-stamp
+
+build-arch-stamp:  builddir/Makefile 
 	dh_testdir
 	$(MAKE) -C builddir
+	touch $@
+
+build-indep-stamp: builddir/Makefile 
+	dh_testdir
 	touch $@
 
 clean:
