## qtm 1.3.17

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,10 @@
 project(QTM)
 
-set( QTM_VERSION 1.3.6 )
+if( Qt5 )
+  cmake_minimum_required( VERSION 2.8.9 )
+endif( Qt5 )
+
+set( QTM_VERSION 1.3.17 )
 
 IF(APPLE)
     set( PROGNAME QTM )
@@ -11,12 +15,18 @@
     IF( MAC_UNIVERSAL )
         set( CMAKE_OSX_ARCHITECTURES ppc;i386 ) #Comment out if not universal binary
     ENDIF( MAC_UNIVERSAL )
+    set( STI_SUPERCLASS QObject )
+    add_definitions( -DSTI_SUPERCLASS=QObject )
 #find_library( COCOA_LIBRARY Cocoa )
-ELSE(NOT APPLE)
+ELSE(APPLE)
     set( PROGNAME qtm )
+    set( STI_SUPERCLASS QSystemTrayIcon )
+    add_definitions( -DSTI_SUPERCLASS=QSystemTrayIcon )
 ENDIF(APPLE)
 
-find_package (Qt4 REQUIRED)
+if( NOT Qt5 )
+  find_package (Qt4 REQUIRED)
+endif( NOT Qt5 )
 
 if( DONT_USE_DBUS OR WIN32 ) # Because you don't get D-Bus on Windows
   if( NOT USE_DBUS )         # But let's let the user specify it, in case someone ports it  
@@ -52,14 +62,14 @@
   set( QUICKPOSTTEMPLATEDIALOG_CC QuickpostTemplateDialog.cc )
   set( QUICKPOSTTEMPLATE_H QuickpostTemplate.h )
   set( QUICKPOSTTEMPLATE_CC QuickpostTemplate.cc )
-  if( APPLE )
-    set( SUPERMENU_CC SuperMenu.cc )
-    set( SUPERMENU_H SuperMenu.h )
+  set( SUPERMENU_CC SuperMenu.cc )
+  set( SUPERMENU_H SuperMenu.h )
 #set( STATUSWIDGET_CC StatusWidget.cc )
 # set( STATUSWIDGET_H StatusWidget.h )
 # set( STATUSWIDGETBASE_UI StatusWidgetBase.ui )
 #set( MACFUNCTIONS_MM macFunctions.mm )
 #set( MACFUNCTIONS_H macFunctions.h )
+  if( APPLE )
     add_definitions( -DSUPERMENU )
 #add_definitions( "-x objective-c++" )
   endif( APPLE )
@@ -87,6 +97,8 @@
 
   if( UNITY_LAUNCHER )
     set( UNITY_ARG --unity )
+    add_definitions( -DUNITY_LAUNCHER )
+    set( LISTDIALOGBASE_UI ListDialogBase.ui )
   endif( UNITY_LAUNCHER )
 
   if( DESKTOP_ENTRY_SUSE )
@@ -215,11 +227,12 @@
 set(QTM_UIS
     aboutbox.ui
     AccountsForm.ui
-    EditingWindowBase.ui
+#EditingWindowBase.ui
     NewCategoryForm.ui
     PrefsForm.ui
     ImageEntry.ui
     LinkEntry.ui
+    ${LISTDIALOGBASE_UI}
     password-form.ui
     QijSearchWidget.ui
     ${QUICKPOSTTEMPLATEFORM_UI}
@@ -248,9 +261,38 @@
 if( USE_DBUS )
   set( QT_USE_QTDBUS TRUE )
 endif( USE_DBUS )
+if( MSVC )
+  #set( QT_USE_QTMAIN TRUE )
+  add_definitions( -DQT_DLL )
+endif( MSVC )
 
 # find_package (Qt4 REQUIRED)
 
+if( Qt5 )
+  #set( CMAKE_AUTOMOC ON )
+  set( CMAKE_INCLUDE_CURRENT_DIR ON )
+  find_package( Qt5Widgets REQUIRED )
+  include_directories( ${Qt5Widgets_INLCUDES} )
+  add_definitions( ${Qt5Widgets_DEFINITIONS} )
+  find_package( Qt5Network REQUIRED )
+  include_directories( ${Qt5Network_INCLUDES} )
+  find_package( Qt5Xml REQUIRED)
+  include_directories( ${Qt5Xml_INCLUDES} )
+  if( USE_DBUS )
+    find_package( Qt5DBus REQUIRED )
+    include_directories( ${Qt5DBus_INCLUDES} )
+    set( Qt5DBUS_ DBus )
+  else (USE_DBUS)
+  endif( USE_DBUS )
+
+  qt5_wrap_ui( QTM_UIS_H ${QTM_UIS} )
+  qt5_wrap_cpp( QTM_MOC_SRCS ${QTM_MOC_HDRS} OPTIONS -DSTI_SUPERCLASS=${STI_SUPERCLASS} )
+  qt5_add_resources( QTM_RC_SRCS ${QTM_RCS} )
+  if( MSVC )
+    set( QT_MAIN_LIB c:/Qt/Qt5.0.0beta2/5.0.0-beta2/msvc2010/lib/qtmain.lib )
+  endif( MSVC )
+
+else( Qt5 )
 include (${QT_USE_FILE})
 
 if( USE_DBUS AND NOT QT_QTDBUS_INCLUDE_DIR )
@@ -261,9 +303,11 @@
 
 QT4_WRAP_UI(QTM_UIS_H ${QTM_UIS})
 
-QT4_WRAP_CPP(QTM_MOC_SRCS ${QTM_MOC_HDRS})
+QT4_WRAP_CPP(QTM_MOC_SRCS ${QTM_MOC_HDRS} OPTIONS -DSTI_SUPERCLASS=${STI_SUPERCLASS} )
 
 QT4_ADD_RESOURCES(QTM_RC_SRCS ${QTM_RCS})
+
+endif( Qt5 )
 
 if(MINGW)
     add_custom_command(OUTPUT qtmico.o
@@ -271,15 +315,25 @@
     set(QTM_SRCS ${QTM_SRCS} qtmico.o)
 endif(MINGW)
 
+if( MSVC )
+    set( QTM_RC qtm.rc )
+endif( MSVC )  
+
 IF(APPLE)
     add_executable(${PROGNAME} MACOSX_BUNDLE ${QTM_SRCS} ${QTM_UIS_H} ${QTM_MOC_SRCS} ${QTM_RC_SRCS} ${GENERATED_SOURCES})
+    if( Qt5 )
+      qt5_use_modules( ${PROGNAME} Widgets Network Xml )
+    endif( Qt5 )
     add_custom_command( TARGET ${PROGNAME} POST_BUILD
       COMMAND mkdir ARGS -p ${CMAKE_CURRENT_BINARY_DIR}/${PROGNAME}.app/Contents/Resources
       COMMAND cp ARGS ${MACOSX_BUNDLE_ICON_FILE} ${CMAKE_CURRENT_BINARY_DIR}/${PROGNAME}.app/Contents/Resources
       COMMAND cp ARGS ${QTM_SOURCE_DIR}/Markdown/Markdown.pl ${CMAKE_CURRENT_BINARY_DIR}/${PROGNAME}.app/Contents/Resources
       )
 ELSE(NOT APPLE)
-    add_executable(${PROGNAME} WIN32 ${QTM_SRCS} ${QTM_UIS_H} ${QTM_MOC_SRCS} ${QTM_RC_SRCS} ${GENERATED_SOURCES})
+    add_executable(${PROGNAME} WIN32 ${QTM_SRCS} ${QTM_UIS_H} ${QTM_MOC_SRCS} ${QTM_RC_SRCS} ${QTM_RC} ${GENERATED_SOURCES})
+    if( Qt5 )
+      qt5_use_modules( ${PROGNAME} Widgets Network Xml ${Qt5DBUS_} )
+    endif( Qt5 )
     if( NOT QDEBUG )
      if( MINGW )  
       add_custom_command( TARGET ${PROGNAME} POST_BUILD
@@ -303,7 +357,7 @@
 
 SET_TARGET_PROPERTIES( ${PROGNAME}
 	PROPERTIES INSTALL_RPATH_USE_LINK_PATH TRUE )
-TARGET_LINK_LIBRARIES(${PROGNAME} ${QT_LIBRARIES} ${QTDBUS_EXTRA} )
+TARGET_LINK_LIBRARIES(${PROGNAME} ${QT_LIBRARIES} ${QT_MAIN_LIB} ${QTDBUS_EXTRA} )
 if( QDEBUG AND MINGW )
     SET_TARGET_PROPERTIES (${PROGNAME} PROPERTIES LINK_FLAGS -Wl,-subsystem,console )
 endif( QDEBUG AND MINGW )
@@ -316,7 +370,9 @@
   if( UNITY_LAUNCHER )
     install( FILES ${QTM_SOURCE_DIR}/qtm-new.py DESTINATION bin RENAME qtm-new )
     install( FILES ${QTM_SOURCE_DIR}/qtm-choose.py DESTINATION bin RENAME qtm-choose )
+    install( FILES ${QTM_SOURCE_DIR}/qtm-chooseRecent.py DESTINATION bin RENAME qtm-chooseRecent )
     install( FILES ${QTM_SOURCE_DIR}/qtm-quickpost.py DESTINATION bin RENAME qtm-quickpost )
+    install( FILES ${QTM_SOURCE_DIR}/qtm-chooseTemplate.py DESTINATION bin RENAME qtm-chooseTemplate )
   endif( UNITY_LAUNCHER )
   if( INSTALL_MARKDOWN )
     install( FILES ${QTM_SOURCE_DIR}/Markdown/Markdown.pl DESTINATION share/qtm )
