=== debian/changelog ===
qtm (1.3.17-1) unstable; urgency=medium

  * New upstream release
  * Bumped Standards-Version to 3.9.5
  * Using dpkd-buildflags from now on

 -- Patryk Cisek <patryk@debian.org>  Wed, 01 Oct 2014 13:00:44 +0200
