## qtm 1.3.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
   cmake_minimum_required( VERSION 2.8.9 )
 endif( Qt5 )
 
-set( QTM_VERSION 1.3.17 )
+set( QTM_VERSION 1.3.18 )
 
 IF(APPLE)
     set( PROGNAME QTM )
