=== debian/changelog ===
qtm (1.3.18-1) unstable; urgency=medium

  * New upstream release
  * Bumped debian/compat to 9
  * Bumped Standards-Version to 3.9.8
  * Removed debian/menu
  * Updated dates in debian/copyright

 -- Patryk Cisek <patryk@debian.org>  Mon, 28 Nov 2016 12:30:33 +0100
