=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Vcs-Git: git://git.debian.org/users/patryk/qtm.git
 Vcs-Browser: http://git.debian.org/?p=users/patryk/qtm.git
 Build-Depends: debhelper (>= 7), cmake, libqt4-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://qtm.blogistan.co.uk
 
 Package: qtm
