=== debian/watch ===
version=3
http://sf.net/catkin/qtm-(.+).tar.bz2
